<!DOCTYPE html>
<html>
<head>
<title>
Open Arm - Open Source </title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<style>
.slidecontainer {
  width: 100%;
}

.slider {
  -webkit-appearance: none;
  width: 80%;
  height: 15px;
  border-radius: 5px;
  background:  #387eed;
  outline: none;
//  opacity: 0.7;
  -webkit-transition: .2s;
  transition: opacity .2s;
}

.slider:hover {
  opacity: 1;
}

.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 25px;
  height: 25px;
  border-radius: 50%;
  background: #061733; 
  //#0c2142;
  cursor: pointer;
}

.slider::-moz-range-thumb {
  width: 25px;
  height: 25px;
  border-radius: 50%;
  background: red;
  cursor: pointer;
}

html {
text-align: center;
font-family: "Comic Sans MS", cursive, sans-serif;
}
div 
{
	margin-top:50px;
}
body {
	background-color: white;
}
.rows
{	
	width: 90%
	height: auto;
}

img {
width: 100%;
height: 100%}

.divisore {
width: 50%;
height: auto;
float: left;
}


</style>
</head>
<body>

<h1>OpenArm - Control Panel</h1>
<p>Sviluppato da Braga Lorenzo </p>
<div id="servo1">
  <p>Gripper</p>
  <input type="range" min="0" max="180" value="90" id="range1" onchange="servo1()" class="slider">  
  <p>Angolo: <span id="range1_value"></span></p>
</div>

<div id="servo2" style="display: none">
  <p>Polso</p>
  <input type="range" min="0" max="180" value="90" id="range2" onchange="servo2()" class="slider">
  <p>Angolo: <span id="range2_value"></span></p>
</div>

<div id="servo3">
  <p>Braccio - Parte superiore</p>
  <input type="range" min="0" max="180" value="30" id="range3" onchange="servo3()" class="slider">
  <p>Angolo: <span id="range3_value"></span></p>
</div>

<div id="servo4">
  <p>Braccio - Parte intermedia</p>
  <input type="range" min="0" max="180" value="10" id="range4" onchange="servo4()" class="slider">
  <p>Angolo: <span id="range4_value"></span></p>
</div>

<div id="servo5">
  <p>Braccio - Parte inferiore</p>
  <input type="range" min="65" max="115" value="110" id="range5" onchange="servo5()" class="slider">
  <p>Angolo: <span id="range5_value"></span></p>
</div>

<div id="servo6">
  <p>Base</p>
  <input type="range" min="0" max="180" value="90" id="range6" onchange="servo6()" class="slider">
  <p>Angolo: <span id="range6_value"></span></p>
</div>

<script>

var url = "http://openarm.fritz.box:8080";
var slider1 = document.getElementById("range1");
var output1 = document.getElementById("range1_value");
output1.innerHTML = slider1.value;

var slider2 = document.getElementById("range2");
var output2 = document.getElementById("range2_value");
output2.innerHTML = slider2.value;

var slider3 = document.getElementById("range3");
var output3 = document.getElementById("range3_value");
output3.innerHTML = slider3.value;

var slider4 = document.getElementById("range4");
var output4 = document.getElementById("range4_value");
output4.innerHTML = slider4.value;

var slider5 = document.getElementById("range5");
var output5 = document.getElementById("range5_value");
output5.innerHTML = slider5.value;

var slider6 = document.getElementById("range6");
var output6 = document.getElementById("range6_value");
output6.innerHTML = slider6.value;
function servo1()
{
  output1.innerHTML = slider1.value;
  var xhttp1 = new XMLHttpRequest();
  xhttp1.onreadystatechange = function servo1() {
    if (this.readyState == 4 && this.status == 200) {
    }
  };
  xhttp1.open("GET", url + "/set_servo1?angle=" + slider1.value, true);
  xhttp1.send();
  disableRange();
  
  xhttp1.onload = function()
  {
	enableRange();
  }
}

function servo2()
{
  output2.innerHTML = slider2.value;
  var xhttp2 = new XMLHttpRequest();
  xhttp2.onreadystatechange = function servo2() {
    if (this.readyState == 4 && this.status == 200) {
    }
  };
  xhttp2.open("GET", url + "/set_servo2?angle=" + slider2.value, true);
  xhttp2.send();
  disableRange();
  
  xhttp2.onload = function()
  {
	enableRange();
  }
}

function servo3()
{
  output3.innerHTML = slider3.value;
  var xhttp3 = new XMLHttpRequest();
  xhttp3.onreadystatechange = function servo3() {
    if (this.readyState == 4 && this.status == 200) {
    }
  };
  xhttp3.open("GET",  url + "/set_servo3?angle=" + slider3.value, true);
  xhttp3.send();
  disableRange();
  
  xhttp3.onload = function()
  {
	enableRange();
  }
}

function servo4()
{
  output4.innerHTML = slider4.value;
  var xhttp4 = new XMLHttpRequest();
  xhttp4.onreadystatechange = function servo4() {
    if (this.readyState == 4 && this.status == 200) {
    }
  };
  xhttp4.open("GET",  url + "/set_servo4?angle=" + slider4.value, true);
  xhttp4.send();
  disableRange();
  
  xhttp4.onload = function()
  {
	enableRange();
  }
}

function servo5()
{
  output5.innerHTML = slider5.value;
  var xhttp5 = new XMLHttpRequest();
  xhttp5.onreadystatechange = function servo5() {
    if (this.readyState == 4 && this.status == 200) {
    }
  };
  xhttp5.open("GET",  url + "/set_servo5?angle=" + slider5.value, true);
  xhttp5.send();
  disableRange();
  
  xhttp5.onload = function()
  {
	enableRange();
  }
}

function servo6()
{
  output6.innerHTML = slider6.value;
  var xhttp6 = new XMLHttpRequest();
  xhttp6.onreadystatechange = function servo6() {
    if (this.readyState == 4 && this.status == 200) {
    }
  };
  xhttp6.open("GET",  url + "/set_servo6?angle=" + slider6.value, true);
  xhttp6.send();
  disableRange();
  
  xhttp6.onload = function()
  {
	enableRange();
  }
}

function disableRange()
{
	slider1.disabled = true;
	slider2.disabled = true;
	slider3.disabled = true;
	slider4.disabled = true;
	slider5.disabled = true;
	slider6.disabled = true;
}
function enableRange()
{
	slider1.disabled = false;
	slider2.disabled = false;
	slider3.disabled = false;
	slider4.disabled = false;
	slider5.disabled = false;
	slider6.disabled = false;
}

</script>

</body>
</html>

